function changepath(t,s)

%-----------------------------------------------------------------------
% function to change path in SPM.mat files of M&M2018 data set
%
% Author:   Sandra Iglesias
% Created:  2017-11-10
% Copyright (C) 2017 Institute for Biomedical Engineering
%                    University of Zurich and ETH Zurich
%-----------------------------------------------------------------------

addpath C:\Users\Sandra' Iglesias'\Documents\Documents\code\GitTNU\software\spm12\
% spm('defaults','FMRI')
% spm_jobman('initcfg');
dirScans = 'E:\Documents_E\Seminars\M&M_Mantelstudium_2018\Analysis\MandMDaten\Data2017\';
maskScans = 'Sub*';
maskGLM  = {'\glm\LRArrow_derivs', '\glm\LRPress_derivs', '\glm\Wedge_derivs'};
maskVersion = {'Arrow', 'Button Press', 'Retinotopy'};

scans = dir(fullfile(dirScans,maskScans));
scans = {scans.name};
try, iScans; catch; iScans = 1:length(scans); end
disp(['condition: ', maskVersion{t},]);
disp(' ');
%-----------------------------------------------------------------------
% specify design matrix and contrasts
%-----------------------------------------------------------------------
cd([dirScans,scans{s},maskGLM{t}])
% spm_changepath('SPM.mat','oldpath', 'newpath')
spm_changepath('SPM.mat','E:\Documents_E\Seminars\M&M_Mantelstudium_2018\Analysis\MandMDaten\Data2017\', 'E:\Documents_E\Seminars\M&M_Mantelstudium_2018\Analysis\MandMDaten\test\')
end


